package com.bjsxt.service.impl;

import com.bjsxt.exception.UserException;
import com.bjsxt.mapper.UserMapper;
import com.bjsxt.pojo.Menus;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashSet;
import java.util.List;

@Service
public class UserServiceImpl implements UserService {
    // 注入UserMapper接口
    @Autowired
    private UserMapper userMapper;

    /**
     *  用户登录。根据username查询用户在数据库是否存在，如果存在再根据查询到的用户判断输入密码userpwd是否正确
     */
    @Override
    public Users userLogin(String username, String userpwd) {
        /* 根据username在数据库查询用户 */
        Users users = this.userMapper.selectUserByName(username);
        if (users == null){  // 用户不在
            // 用户名不存在 抛出异常
            throw  new UserException("用户不存在");
        }else if (!(users.getUserpwd().equals(userpwd))){ // 如果用户存在，判断密码是否正确
            // 密码有误  抛出异常
            throw  new UserException("密码有误");
        }
        // 如果没有进入到if语句中表示用户存在并且密码正确，所以可以登录，返回Users
        return users;
    }

}
